EDIT - feature request #6435

[DISCUSS] Comment field for "Protolog”
02/27/2017 10:35 AM - Andreas Miller

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version:

Severity: normal

Description

WGB: Mir aufgefallen, dass die Angabe ,Protolog” im Editor Detail eigentlich nicht richtig ist, es geht ja eigentlich um den
s-homenclatural act”, der den Namen validiert (oder eben auch nicht). Hierzu gehért dann auch die Publikation der Verdffentlichung
von Kombinationen (das ist dann ja kein ,Protolog”). Ausserdem fehlt mir ein Kommentarfeld, in dem ich die Quelle (also die URL)
erlautern kann (ich habe z.B. eine Monographie, in der eine Reihe von Nepenthes Arten veréffentlicht sind, und die bislang noch
nicht als Scan sondern nur als Transskript vorliegt; den Link wirde ich hier aber gerne einfligen. Oder auch solche, die nur als ganze
Publikation verlinkt werden kénnen, nicht als Einzelseite. Oder auch andere, die aus Copyright-Griinden nicht gezeigt werden
kénnen, oder die aus anderen Griinden nicht auffindbar sind — das wirde ich dann gerne an dieser Stelle kommentieren, um nicht
spater die Suche noch mal anzufangen.

Mir aufgefallen, dass die Angabe ,Protolog” im Editor Detail eigentlich nicht richtig ist, es geht ja eigentlich um den
»-homenclatural act”, der den Namen validiert (oder eben auch nicht). Hierzu gehért dann auch die Publikation der
Veroffentlichung von Kombinationen (das ist dann ja kein ,Protolog*).

Damit wir Uber das gleiche reden, die Kombinations“protologe” sollen aber bei den Kombinationsnamen bleiben, oder? Es geht dir
also v.a. um das Label? Wenn ja, hast du einen Vorschlag. Grundsatzlich wére es sicherlich auch sinnvoll, das intern anders zu
modellieren. Derzeit wird es quasi als NameFact vom Typ ,Protolog” abgespeichert. Auf das Konstrukt ,NameFact” (bzw.
NameDescription) wiirde ich eigentlich gerne véllig verzichten, das ist ein Konstrukt aus den Anfangszeiten welches wir eigentlich
nicht brauchen und welches wir fir die Protologe als workaround missbraucht haben. Daher wére hier eine Modellanderung auf
jeden Fall sinnvoll. Da bréuchten wir dann auch noch ein Label fiir das Attribut im Model (nicht nur im Ul).

Im Ul sollte es aber ein eingangliches Label sein. Mit Protolog konnten die User bislang alle was anfangen, deswegen fande ich es
nicht gut, wenn wir da etwas zu abstraktes nehmen.

Was ware mit ,Original Publication®, das wird ja auch 6fters verwendet?

Ausserdem fehlt mir ein Kommentarfeld,

Das ist eine schwierigere Frage, da das Argument theoretisch nattrlich fur jedes einzelne Feld/Attribut im CDM gelten kdnnte,
namlich dass man da was kommentieren will, nur intern oder auch extern sichtbar.

WGB: Das Problem bei der jetzigen Losung ist aber, dass es (bei mehreren URIs) véllig unklar ist, auf was sich der Link bezieht
(zudem die Links ja wohl auch ganz zufallig angeordnet werden). In der Publikation kénnte man das ja so handhaben, dass der
Kommentar mit der URI hinterlegt wird. Aber vielleicht diskutieren wir diesen ganzen Komplex doch noch mal insgesamt, bevor man
irgendetwas substantielles unternimmt. Ich pladiere also zunachst nur fiir die Anderung des Labels.

Wenn wir fir jedes Feld aber ein Kommentarfeld einfigen, wére das (vermutlich) deutlich zu viel. Daher gehen wir bislang ja den
Weg, dass man an die ganzen Objekte (also Namen, Taxa, TypeDesignations, ...) Kommentare (Annotations) dran hdngen kann
und bei diesen wéhlen kann, ob sie extern sichtbar (editorial) oder nur intern sichtbar (technical) sein sollen. Wiirde das evtl. fir
deinen Zweck nicht ausreichen? Ahnlich habe ich bei FM15 ja auch Kommentare zu fehlenden Type Designations als Annotations
an Namen angehéngt.

WGB: Eigentlich ist das ja die oben angesprochene Lésung, wenn man relativ einfach URLs und Referenzzitate einbinden kann -
Namensnotizen missten ja eigentlich immer Nomenklaturnotizen sein.

This may also be relevant for the URL discribed in #6434
https://dev.e-taxonomy.eu/redmine/issues/6434

Related issues:
Related to EDIT - bug #6434: Add URL for TypeDesignation

Is duplicate of EDIT - feature request #6588: Add URL and URL comment to Orig...

Duplicate
Closed

History

#1 - 02/27/2017 10:36 AM - Andreas Miiller
- Related to bug #6434: Add URL for TypeDesignation added

#2 - 02/27/2017 11:00 AM - Andreas Miiller

- Description updated

#3 - 02/27/2017 11:01 AM - Andreas Miiller

- Description updated

#4 - 04/24/2017 10:33 PM - Andreas Miiller
- Tracker changed from bug to feature request

- Status changed from New to Duplicate

#5 - 04/24/2017 10:33 PM - Andreas Miiller

- Is duplicate of feature request #6588: Add URL and URL comment to OriginalSource / ExternalLink added

#6 - 04/24/2017 10:51 PM - Andreas Miiller

- Description updated

#7 - 06/05/2017 05:11 PM - Andreas Miiller
- Target version deleted (CDM UML 4.7)
